Subject: RE: [Mipshop] new charter

From: [email-masked]
Date: Mon, 10 Oct 2005 10:32:57 -0700

Rajeev makes an interesting point below. One implication might be that
we want to preserve layering and achieve the L2 services of .21, yet
without standardizing on a particular way. Another implication might be
that we should incorporate the services directly into the base protocols
that want L1&2 awareness.

The 802.21 point of view is that standardizing these services helps
preserve layering while permitting awareness and control of L2 events.
There is good reason to standardize that the network sublayers consume
these data link services using the .21 model.

Best Regards,
Michael 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of ext Rajeev Koodli
Sent: Monday, October 10, 2005 10:08 AM
To: James Kempf
Cc: [email-masked]; [email-masked]
Subject: Re: [Mipshop] new charter

James Kempf wrote:
> I think we need to make sure that the information representation 
> developed for 802.21 also works to support FMIP.

Agree.

 > Not sure how to put
> that in the charter, though.

That's what I am struggling with as well. Given the current status of
understanding of 802.21, how much dependency we would like to have..
In any case, I would not like to end up in a situation where we
_require_ folks to have 802.21 in order to support FMIP.

-Rajeev

> 
>        jak
> 
> ----- Original Message ----- From: "gabriel montenegro" 
> <[email-masked]>
> To: "Rajeev Koodli" <[email-masked]>
> Cc: <[email-masked]>
> Sent: Friday, October 07, 2005 11:41 PM
> Subject: Re: [Mipshop] new charter
> 
> 
>>
>>
>> --- Rajeev Koodli <[email-masked]> wrote:
>>
>>>
>>> Hi Gabriel and Stefano,
>>>
>>> "5. Address the overlap of IEEE 802.21 and MIPSHOP (see item 2
above) by
>>>      *  Producing a threat analysis and security model for IP-based 
>>> discovery and transport of IEEE 802.21 Media-Independent Information

>>> Services for advancement as Informational RFC
>>>      * Produce the required protocol enhancements or specifications 
>>> for IP-based support of Media-Independent Information Services. This

>>> will be the initial focus, although eventually, additional work on 
>>> Command and Event Services may be added."
>>>
>>> I am curious about the wording "Address overlap.." Why not just list

>>> the latter two bullets? I think the work on 802.21 should be work on

>>> itself rather than to address an overlap, if any.
>>
>>
>> Reworded to:
>>
>> "5. Work on areas of mutual interest to IEEE 802.21 and MIPSHOP (see 
>> item 2 above):"
>>
>> followed by the two bullets.
>>
>>>
>>> Also,
>>>
>>> "Some of this work (i.e., that related to information elements and 
>>> their
>>> transport) may be done in collaboration with IEEE 802.21 (see item 5

>>> below). Note: eventually, FMIPv6 may also use the related Command 
>>> and Event Services, but the initial focus will be on Information
Services."
>>>
>>> is very speculative. Especially the Note. Is it necessary?
>>
>>
>> Necessary? Probably not. The answer's the same if you had asked:
>> "Does it hurt?" It's there because some folks are quite interested in

>> this. I'm inclined to leave it in for the time being, until we hear 
>> more either for it or against it. Of course, it is up to the folks 
>> who are interested to initiate discussion, argument for it, etc.
>>
>> New version with slight edits is at:
>>
>> http://www.geocities.com/gabriel_montenegro_2000/mipshop-charter.htm
>>
>> -gabriel
>>
>> _______________________________________________
>> Mipshop mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/mipshop
>>
> 
> 

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

---

From: "James Kempf" <[email-masked]>
Date: Mon, 10 Oct 2005 16:45:39 -0700

Michael,

The way I've been thinking about this is to standardize an information 
representation that is common to 802.21 and FMIP, since some of the 
information that is needed for FMIP will be of interest to 802.21 clients 
too. The information representation is independent of the transport 
protocol. FMIP could use the information representation in ICMP messages 
between the AR and MN. 802.21 could use the information representation in a 
protocol between a server and the MN, possiblity on a TCP transport base, or 
possibly even using the NSIS protocol, which the IETF is developing 
specifically for communicating between network elements and end nodes (like, 
for example to talk to a NAT box to find out what the timeouts are). The 
information representation could also be used in a L2.5 protocol, like 
802.1x, between an AP and the MN.

This allows the services to preserve the natural layering by using an 
appropriate transport protocol for their layer while sharing a common 
information representation. The advantage of such an architecture is that 
the parsing and interpretation of the information can be common, and 
possibly any policy handling with respect to how the information is used.

Rajeev and I developed a protocol, called NED, described in:

http://www.ietf.org/internet-drafts/draft-kempf-mipshop-nhood-discovery-00.txt

that is designed for FMIP and 802.21 clients.

            jak

----- Original Message ----- 
From: <[email-masked]>
To: <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>
Sent: Monday, October 10, 2005 10:32 AM
Subject: RE: [Mipshop] new charter

Best Regards,
Michael

-----Original Message-----

Agree.

-Rajeev

above) by

Services."